Compatibility after Debugger.Source Integration
Debugger compatibility has changed after the patches in bug 

If you try to use a client that does not have these patches (old client) with a server that does (new server), then breakpoints will no longer be hit anymore.

This is not one of the cases called out directly on the compatibility page[1], as it's usually the case that a new server feature *requires* an equal or newer client before the feature can be used, as the client does not make the new RPC call, show the UI, etc.

But, that's not the case here. The debugger UI looks like it will work fine with a newer server with these patches but fails to. This suggests to me that the upgraded server no longer supports that APIs that an older client expects.

In my limited testing locally, nothing is sent over the RPC at all when setting a breakpoint in this old client  new server setup.

James & Nick: Is there a fix we could pursue here? It would be wonderful to keep the debugger working in this case if we can.

If you are wondering how this would come up in the real world, here are some examples:

* Using Dev. Edition today to debug Fennec Nightly
* Using Dev. Edition today to debug future B2G simulator releases

[1]: 
